Summary:	CPU Frequency adjusting daemon.
Name:		cpuspeed
Version:	1.2.1
Release:	%(R="$Revision: 1.23 $"; RR="${R##: }"; echo ${RR%%?})_FC4
Epoch:		1
Group:		System Environment/Base
License:	GPL
Source0:	cpuspeed-1.2.1.tar.gz
Source1:	cpuspeed.init
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/chkconfig /sbin/service
BuildPreReq: 	/usr/bin/aclocal /usr/bin/automake /usr/bin/autoconf util-linux groff gettext
ExclusiveArch:	i386 x86_64 ppc ppc64
Obsoletes:	kernel-utils

Patch1: warning.diff
Patch2: idlenice.diff
Patch3: nostrip.diff

%description
cpuspeed is a daemon that dynamically changes the speed
of your processor(s) depending upon its current workload
if it is capable (needs Intel Speedstep, AMD PowerNow!,
or similar support).

%prep
%setup -q -c -a 0

%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/sysconfig

cd cpuspeed-1.2.1
make CFLAGS="$RPM_OPT_FLAGS -fpie -pie -Wl,-z,relro,-z,now"
cd ..

%install
cd cpuspeed-1.2.1
install cpuspeed %{buildroot}/usr/sbin
install %{SOURCE1} %{buildroot}/etc/rc.d/init.d/cpuspeed
install cpuspeed.conf %{buildroot}/etc/cpuspeed.conf
cd ..

chmod -R a-s %{buildroot}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
/usr/sbin/cpuspeed
/etc/rc.d/init.d/cpuspeed
%attr(0644,root,root) %config /etc/cpuspeed.conf

%preun
if [ "$1" = "0" ] ; then
 /sbin/chkconfig --del cpuspeed
fi

%post
/sbin/chkconfig --add cpuspeed

%triggerpostun -- kernel-utils
/sbin/chkconfig --add cpuspeed
exit 0

%changelog
* Fri Sep 23 2005 Dave Jones <davej@redhat.com>
- Use ACPI as a fallback driver if none is set, and its available. (#160788)

* Mon May  9 2005 Dave Jones <davej@redhat.com>
- Fix debuginfo generation.

* Wed Apr  6 2005 Dave Jones <davej@redhat.com>
- Don't count nice time as idle time. (#132383)

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4.

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- Rebuild with -D_FORTIFY_SOURCE=2

* Fri Feb  4 2005 Dave Jones <davej@redhat.com>
- Enable builds for PPC (#147089)

* Tue Jan 11 2005 Dave Jones <davej@redhat.com>
- Add missing Obsoletes: kernel-utils

* Mon Jan 10 2005 Dave Jones <davej@redhat.com>
- Update to upstream 1.2.1 release.

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, split out from kernel-utils.

